Status: Closed Start date: 2011-11-18

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version: 1.3.0   

Resolution: Fixed   

Description

It would be nice to have possibility to create links to news and forums (not only messages) in formatted text like it is done for Wiki

pages, documents, etc.

The reason is to be able to refer forums from Wiki pages to describe which forum is for what purposes and to give users

recommendations in Wiki how to use them.

Another reason is to refer to news in issues as the report when work on issue implies creating some news.

I mean an internal support project here.

To implement this feature I propose a patch redmine-1.2.1-redmine_link_board_and_news.patch.

This patch is based on the version 1.2.1.

This patch allows creating links to news and forums in the following format:

board#<board-id> and [<project-id>:]board:<board-name> - for the forum,

news#<news-id> and [<project-id>:]news:<news-name> - for the news.

Note that I'm a newbie in Redmine (have been using it just about one month) and in Ruby / Rails too.

The patch looks working for me, but it doesn't include unit-tests. Propose it as an RFC.

Related issues:

Related to Redmine - Feature #1845: Add New Wiki formatting Item Closed 2008-09-03

Related to Redmine - Patch #26188: Documentation (detailed syntax help & code... Closed

Associated revisions

Revision 7840 - 2011-11-19 12:16 - Jean-Philippe Lang

Wiki links for news and forums (#9600).

History

#1 - 2011-11-19 12:18 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed

Patch committed in r7840 with slight changes and tests.

The keyword "board" was changed to "forum" to match the term used everywhere in the UI, making it more obvious for users.

Thanks.

#2 - 2017-06-18 13:53 - Mischa The Evil

- Related to Patch #26188: Documentation (detailed syntax help & code) additions/improvements added

Files

redmine-1.2.1-redmine_link_board_and_news.patch 3.89 KB 2011-11-18 Igor Perminov
